Questions & Answers

FireStudio Mobile Catalina Compatibility

+5 votes
1,591 views
asked Nov 20, 2019 in FireStudio Series by kilnsiza (200 points)
Could someone from PreSonus please give us more detailed information on whether or not FireStudio Mobile is EOL? Will there be a driver update for Catalina 10.15 or do I need to start looking at buying a new interface?

8 Answers

0 votes
answered Jun 23 by jonnydoyle (361,610 points)
 
Best answer

Universal Control 1.7.6 - [Updated: 12-4-2019] - for FireWire products still work on Mac OS X 10.8.5—macOS 10.14 Mojave (Windows 7, 8.1, and 10, as well as). However, it will not be available on macOS 10.15 Catalina or future macOS versions.  Users of these products are advised not to update their systems beyond macOS 10.14 Mojave:

  • StudioLive 1642
  • StudioLive 2442
  • FireStudio Project
  • FireStudio Mobile
  • FireStudio Tube
  • FireStudio Lightpipe
+3 votes
answered Nov 25, 2019 by billmartin (220 points)
I have asked the same question twice and have been referred to the Catalina 10.15 compatibility statement twice. I don't think PreSonus is interested. I am looking at interfaces from another manufacturer.
+4 votes
answered Nov 26, 2019 by jamesfaivre (230 points)
I guess it's time to look at Focusrite, or something... this kinda sucks.
0 votes
answered Jan 3 by paularmstrong (160 points)

From UC 3.1.2 release notes:

  1. Universal Control 1.7.6 for FireWire products (including the StudioLive 16.0.2 Classic) still works on Windows 7, 8.1, and 10, as well as Mac OS X 10.8.5—macOS 10.14 Mojave. However, it will not be available on macOS 10.15 Catalina or future macOS versions.​ Users of these products are advised not to update their systems beyond macOS 10.14 Mojave.

    • ●  StudioLive 1642

    • ●  StudioLive 2442

    • ●  StudioLive 1602 Classic

    • ●  FireStudio Project

    • ●  FireStudio Mobile

    • ●  FireStudio Tube

    • ●  FireStudio Lightpipe

I have no idea why this wasn't communicated on the support pages for FireStudio products but I suspect, like me, it left many users of FireStudio products in the dark and waiting for something that was never coming. Though I appreciate the long run the FireStudio had, I'm very unhappy on how the end of driver support was communicated.

0 votes
answered Feb 5 by buddybudsen (550 points)
edited Feb 6 by buddybudsen

Has any of you guys updated to catalina and does your interface work there? I would like to collect some data on that... :-)

I did upgrade to Catalina without looking at the support matrix at Presonus before - shame on me. ;)

Following the upgrade the Firestudio Mobile did not initialize in S1, but after some tinkering I managed to make it work.

I've written down the steps in another Q&A: https://answers.presonus.com/45597/does-firestudio-project-work-with-os-x-catalina?show=45597#q45597

+1 vote
answered Apr 18 by scottanonymous (160 points)

This is the most obnoxious end-of-life decision. 

Clearly the world is not going to base its OS upgrade decisions on the compatibility requirements of your products. Reasonable FireStudio Mobile owners who upgrade to Catalina are now stuck with an expensive paperweight. Worse yet, the environment is now littered with yet another piece of electronic junk. A responsible company would offer to recycle these devices in exchange for a discount off the modern equivalent of this device, which is what - a 26c?

But instead, on principle, we have to look elsewhere for a replacement b/c we feel cheated by your decision not to upgrade this software. 

This stuff looks pretty good.

0 votes
answered Jun 21 by steenhive (340 points)
0 votes
answered Nov 15 by (140 points)
Dear presonus-team,

I'm an happy user of your products. I startet with an ar12c, with that tried your daw, began to like your daw and and began to think of you like you are on the same level like focusrite ore Motu for example. Even if you know that for example the old focusrite saffire products was better produced that new scarlet. But i know about saffire is supported until right now, and i think it is a question of believing in you own products to support it like they do. I have an old but good mac and want to buy also nearly same old but good interface recording mobile and safety. But my saffire 24dsp is to small and i need more input. Instead of searching for old maybe also you made, i have to filter out especially you products and your name, even I'm a little fan of your company. And what means old? Your firestudio family is a bit more than ten years old. Every car can driven after ten years without having an not solved software problem. And not to update my mac for using you product can not be a serious solution. Think Greta, trust in and support your stuff you made. And if you need it in commercial way, if i want to buy new stuff next time, I'll think about twice if i take your stuff, because reselling is an argument for buying and with you politics your old stuff is unresaleable. Greetings from Deutschland and sorry forrr mai enklisch :)
...